
QGIS Application - Bug report #7618

Distance Matrix entries are only calculated for the first feature

2013-04-15 10:01 AM - Anita Graser

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16543

Description

To reproduce, you can simple use the airport.shp dataset from the QGIS sample data. Try to calculate distance matrix. The resulting

distance matrix text file only contains entries for the first feature.

I've attached a screenshot too.

This tool used to work correctly in 1.8, so this is a regression.

Associated revisions

Revision 345a0aef - 2013-04-25 05:32 PM - vinayan Parameswaran

Merge pull request #556 from vinayan/splitVector

[Fix #7618] - split vector layer does not work in master

Revision 7f522f92 - 2014-03-24 06:45 PM - Alexander Bruy

[processing] fix Distance Matrix tool (fix #7618)

History

#1 - 2013-04-18 01:56 AM - vinayan Parameswaran

- Pull Request or Patch supplied changed from No to Yes

submitted a pull request for this issue

https://github.com/qgis/Quantum-GIS/pull/538

#2 - 2013-04-25 08:32 AM - vinayan Parameswaran

- Status changed from Open to Closed

Fixed in changeset commit:"345a0aef87e265565b37b50da28eb18e4f1ac873".

#3 - 2013-04-25 08:35 AM - vinayan Parameswaran
https://github.com/qgis/Quantum-GIS/pull/538


- Status changed from Closed to Reopened

wrong fix number caused auto close of this bug..sorry

#4 - 2013-06-21 10:39 AM - vinayan Parameswaran

- Status changed from Reopened to Feedback

This issue is fixed thanks to the 'iterator bug' fix by Nathan

#5 - 2013-06-23 08:18 PM - Mathieu Pellerin - nIRV

- Resolution set to fixed

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

#6 - 2014-03-24 04:37 AM - Anita Graser

- Assignee set to vinayan Parameswaran

- Resolution deleted (fixed)

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Priority changed from Severe/Regression to High

- Status changed from Closed to Reopened

The issue is back in nightly. Only the distances from the first point to all other points are calculated. 

Additionally, when the script is finished, one point gets selected. So if you rerun the script without noticing, the result will then only have one line (because

only selected points are used by processing).

#7 - 2014-03-24 09:47 AM - Alexander Bruy

Just tested fTools and all works fine. Seems this issue only in Processing

#8 - 2014-03-24 10:00 AM - Anita Graser

- Category changed from 44 to 94

- Assignee changed from vinayan Parameswaran to Victor Olaya

#9 - 2014-03-24 10:46 AM - Alexander Bruy

- Status changed from Reopened to Closed

Fixed in changeset commit:"7f522f92e097c39773fa231318f4d49c7cb4d762".

#10 - 2015-06-07 04:26 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
